StarCellFormula Class Reference

the main class to read a cell formula More...

`#include <StarCellFormula.hxx>`

## Public Member Functions

| StarCellFormula ()
| constructor
| ~StarCellFormula ()
| destructor

## Static Public Member Functions

static bool | readSCFormula (StarZone &zone, STOFFCellContent &content, int version, long lastPos)
| try to read a formula
static bool | readSCFormula3 (StarZone &zone, STOFFCellContent &content, int version, long lastPos)
| try to read a formula(v3)
static void | updateFormula (STOFFCellContent &content, std::vector< librevenge::RVNGString > const &sheetNames, int cellSheetId)
| update the different formula(knowing the list of sheet names and the cell's sheetId)

## Static Protected Member Functions

static bool | readSCToken (StarZone &zone, StarCellFormulaInternal::Token &token, int version, long lastPos)
| try to read a token in a formula
static bool | readSCToken3 (StarZone &zone, StarCellFormulaInternal::Token &token, bool &endData, long lastPos)
| try to read a token in a formula (v3)

## Detailed Description

the main class to read a cell formula

## Constructor & Destructor Documentation

## StarCellFormula()

StarCellFormula::StarCellFormula | ( |  | ) |

inline

constructor

## ~StarCellFormula()

StarCellFormula::~StarCellFormula | ( |  | ) |

inline

destructor

## Member Function Documentation

## readSCFormula()

bool StarCellFormula::readSCFormula | ( | StarZone & | zone,
|  | STOFFCellContent & | content,
|  | int | version,
|  | long | lastPos )

static

try to read a formula

Referenced by StarObjectSpreadsheet::readCalcDocument(), and StarObjectSpreadsheet::readSCData().

## readSCFormula3()

bool StarCellFormula::readSCFormula3 | ( | StarZone & | zone,
|  | STOFFCellContent & | content,
|  | int | version,
|  | long | lastPos )

static

try to read a formula(v3)

Referenced by StarObjectSpreadsheet::readCalcDocument(), and StarObjectSpreadsheet::readSCData().

## readSCToken()

bool StarCellFormula::readSCToken | ( | StarZone & | zone,
|  | StarCellFormulaInternal::Token & | token,
|  | int | version,
|  | long | lastPos )

static protected

try to read a token in a formula

Referenced by readSCFormula().

## readSCToken3()

bool StarCellFormula::readSCToken3 | ( | StarZone & | zone,
|  | StarCellFormulaInternal::Token & | token,
|  | bool & | endData,
|  | long | lastPos )

static protected

try to read a token in a formula (v3)

Referenced by readSCFormula3().

## updateFormula()

void StarCellFormula::updateFormula | ( | STOFFCellContent & | content,
|  | std::vector< librevenge::RVNGString > const & | sheetNames,
|  | int | cellSheetId )

static

update the different formula(knowing the list of sheet names and the cell's sheetId)

Referenced by StarObjectSpreadsheet::sendCell().

The documentation for this class was generated from the following files:

- StarCellFormula.hxx
- StarCellFormula.cxx